apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: web-wallet
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
    - hosts:
        - wallet.walt-test.cloud
      secretName: wallet-tls-secret
  rules:
    - host: wallet.walt-test.cloud
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: web-wallet
                port:
                  number: 80